%define name userdrake
%define version 0.2
%define release 3mdk

Summary: tool to edit the user/group base on your system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.menu
Copyright: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: usermode
BuildRequires: gdk-pixbuf-devel

%description
Userdrake is a user-friendly and powerful tool to add/edit/remove users
from your Linux-Mandrake system.

%prep
%setup -q

%build
%configure 
%make
 
%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}/
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
install %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth       sufficient	/lib/security/pam_rootok.so
auth       required    /lib/security/pam_stack.so service=system-auth
session    optional	/lib/security/pam_xauth.so
account    required	/lib/security/pam_permit.so
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/userdrake.real
SESSION=true
FALLBACK=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/userdrake $RPM_BUILD_ROOT%{_sbindir}/userdrake.real 
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/userdrake

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root)%{_bindir}/*
%attr(755,root,root)%{_sbindir}/*
%{_datadir}/%{name}/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Oct 19 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- unset umask at begin
- corrected some po file

* Tue Oct 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Add default group only and secure level lesser than 3

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Remove circular reference
- Use console helper

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-9mdk
- Add faces pixmaps to applications

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-8mdk
- Some changes
- Add passwd frame in add user window
- Fix english typo fault
- Update french po

* Sun Oct  8 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-7mdk
- Many Many changes
- Adding msec group by default when adding a user
- Message box at startup if user not root
- Message box at startup if user lib lock
- Recode face management another time
- Remove debug messages
- Move autologin flag in setting
- Change menu order in view menu
- Fix a lot of bug
- Many other change  

* Fri Oct  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-6mdk
- Fix some little bug
- Faces code changed
- Managment of default face

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-5mdk
- Fix desktop for autologin 
- some typo correction

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-4mdk
- Correct chaine for autologin

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-3mdk
- Add autologging support

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1beta-2mdk
- add Requires: kdesu
- removed silly Obsoletes: DrakeMenu
- use an english-compliant %%description tag

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-1mdk
- First beta release ouf !!!

